Bug 854727 - SELinux is preventing /usr/bin/shotwell-video-thumbnailer from 'write' accesses on the file /SYSVbabeface (deleted).
SELinux is preventing /usr/bin/shotwell-video-thumbnailer from 'write' access...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:11efdbba39180d9a967c6316a0f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-05 12:57 EDT by jacopo.neri.90
Modified: 2012-12-20 10:37 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:37:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: type (9 bytes, text/plain)
2012-09-05 12:57 EDT, jacopo.neri.90
no flags Details
File: hashmarkername (14 bytes, text/plain)
2012-09-05 12:57 EDT, jacopo.neri.90
no flags Details

  None (edit)
Description jacopo.neri.90 2012-09-05 12:57:13 EDT
Additional info:
libreport version: 2.0.13
kernel:         3.5.3-1.fc17.x86_64

description:
:SELinux is preventing /usr/bin/shotwell-video-thumbnailer from 'write' accesses on the file /SYSVbabeface (deleted).
:
:*****  Plugin restorecon (99.5 confidence) suggests  *************************
:
:If si desidera sistemare l'etichetta. 
:L'etichetta predefinita di /SYSVbabeface (deleted) dovrebbe essere etc_runtime_t.
:Then è possibile avviare restorecon.
:Do
:# /sbin/restorecon -v /SYSVbabeface (deleted)
:
:*****  Plugin catchall (1.49 confidence) suggests  ***************************
:
:If si crede che shotwell-video-thumbnailer dovrebbe avere possibilità di accesso write sui SYSVbabeface (deleted) file in modo predefinito.
:Then si dovrebbe riportare il problema come bug.
:E' possibile generare un modulo di politica locale per consentire questo accesso.
:Do
:consentire questo accesso per il momento eseguendo:
:# grep qtdemux0:sink /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
:Target Context                unconfined_u:object_r:tmpfs_t:s0
:Target Objects                /SYSVbabeface (deleted) [ file ]
:Source                        qtdemux0:sink
:Source Path                   /usr/bin/shotwell-video-thumbnailer
:Port                          <Sconosciuto>
:Host                          (removed)
:Source RPM Packages           shotwell-0.12.3-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-146.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.5.3-1.fc17.x86_64 #1 SMP Wed Aug
:                              29 18:46:34 UTC 2012 x86_64 x86_64
:Alert Count                   9
:First Seen                    2012-09-05 18:53:21 CEST
:Last Seen                     2012-09-05 18:53:33 CEST
:Local ID                      15b0bb75-1410-4754-b23b-fed3f43968d9
:
:Raw Audit Messages
:type=AVC msg=audit(1346864013.68:111): avc:  denied  { write } for  pid=4255 comm="qtdemux0:sink" path=2F535953566261626566616365202864656C6574656429 dev="tmpfs" ino=8585269 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:tmpfs_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1346864013.68:111): arch=x86_64 syscall=shmat success=no exit=EACCES a0=830035 a1=0 a2=0 a3=219290c items=0 ppid=4134 pid=4255 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=1 comm=qtdemux0:sink exe=/usr/bin/shotwell-video-thumbnailer subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)
:
:Hash: qtdemux0:sink,thumb_t,tmpfs_t,file,write
:
:audit2allow
:
:#============= thumb_t ==============
:allow thumb_t tmpfs_t:file write;
:
:audit2allow -R
:
:#============= thumb_t ==============
:allow thumb_t tmpfs_t:file write;
:
Comment 1 jacopo.neri.90 2012-09-05 12:57:20 EDT
Created attachment 610096 [details]
File: type
Comment 2 jacopo.neri.90 2012-09-05 12:57:23 EDT
Created attachment 610097 [details]
File: hashmarkername
Comment 3 Miroslav Grepl 2012-09-14 04:14:59 EDT
Have you had your machine in permissive mode?

Are you still getting this issue?
Comment 4 Daniel Walsh 2012-09-18 12:28:09 EDT
I have allowed this access in F18.  These are files that the kernel creates I believe which is why they are labeled tmpfs_t, and we can allow thumb_t to read write them but not open.
Comment 5 Miroslav Grepl 2012-09-20 07:37:22 EDT
Add also to F17.
Comment 6 Fedora Update System 2012-09-24 15:00:13 EDT
selinux-policy-3.10.0-150.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-150.fc17
Comment 7 Fedora Update System 2012-09-25 00:29:29 EDT
Package selinux-policy-3.10.0-150.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.10.0-150.fc17'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-14725/selinux-policy-3.10.0-150.fc17
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-10-08 10:07:30 EDT
selinux-policy-3.10.0-153.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-153.fc17
Comment 9 Fedora Update System 2012-12-20 10:37:20 EST
selinux-policy-3.10.0-153.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.